org.eclipse.aether.repository

## Class NoLocalRepositoryManagerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.aether.RepositoryException
      - - org.eclipse.aether.repository.NoLocalRepositoryManagerException

- All Implemented Interfaces:
    Serializable

      public class NoLocalRepositoryManagerException
      extends RepositoryException

  Thrown in case of an unsupported local repository type.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoLocalRepositoryManagerException(LocalRepository repository)`
    `NoLocalRepositoryManagerException(LocalRepository repository, String message)`
    `NoLocalRepositoryManagerException(LocalRepository repository, String message, Throwable cause)`
    `NoLocalRepositoryManagerException(LocalRepository repository, Throwable cause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LocalRepository` | `getRepository()`

    - ### Methods inherited from class org.eclipse.aether.RepositoryException

      `getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoLocalRepositoryManagerException

          public NoLocalRepositoryManagerException(LocalRepository repository)

    - #### NoLocalRepositoryManagerException

          public NoLocalRepositoryManagerException(LocalRepository repository,
                                           String message)

    - #### NoLocalRepositoryManagerException

          public NoLocalRepositoryManagerException(LocalRepository repository,
                                           Throwable cause)

    - #### NoLocalRepositoryManagerException

          public NoLocalRepositoryManagerException(LocalRepository repository,
                                           String message,
                                           Throwable cause)

  - ### Method Detail

    - #### getRepository

          public LocalRepository getRepository()

Copyright © 2010-2012 The Eclipse Foundation. All Rights Reserved.